La mise à jour du serveur de pouet.it de Debian Stretch à Debian Buster a l'air d'avoir fonctionné

Suivre

Par contre, la mise à jour de postgres de la 9.6 à la 11, c'est une autre paire de manche...

D'autant plus que j'essaie de virer pgBouncer que j'avais installé jusque à là mais qui a un bénéfice restreint vu la petitesse de l'instance

Bon, j'ai laissé du temps et il semblerait que pg_upgradecluster soit passé (en bouffant 30% d'espace disque pour fonctionner, j'ai des sueurs froides à l'avance quand il faudra le faire pour la prochaine version majeure de Postgres)

@gllmhyt
Hello

Il faut utiliser l'option --link ce qui évite la recopie des data....

@PirBoazo J'ai pas pg_upgrade, seulement pg_upgradecluster, c'est quoi la différence ?

@gllmhyt
pg_upgradecluster surcouche Debian.

Qui sûrement appel pg_upgrade la commande fourni par les binaires postgresql
Inscrivez-vous pour prendre part à la conversation
Pouet

Instance anarchostalinienne et allié·e·s membre des fédérations OStatus (GNU social, PostActiv) et ActivityPub (Pleroma, Mastodon).

Tout enfant abandonné sera détruit.